import React from 'react';
import ReactDOM from "react-dom";
import { Face } from './Face';
import { range } from 'd3';

const width = 160;
const height = 160;

const array = range(18);

const App = () => (
  array.map(() => 
  	<Face
      width={width}
      height={height}
      centerX={width / 2}
      centerY={height / 2}
      strokeWidth={10} 
      eyeOffsetX={10 + Math.random() * 20}
      eyeOffsetY={20 + Math.random() * 10}
      eyeRadius={10 + Math.random() * 10}
      mouthRadius={30 + Math.random() * 10}
      mouthWidth={10 + Math.random() * 10}
    />         
  )
	
);

const rootElement = document.getElementById("root");
ReactDOM.render(<App />, rootElement);